;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          kmrcl.asd
;;;; Purpose:       ASDF system definition for KMRCL package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Apr 2000
;;;;
;;;; $Id: kmrcl.asd,v 1.11 2002/10/15 22:41:53 kevin Exp $
;;;;
;;;; This file, part of KMRCL, is Copyright (c) 2002 by Kevin M. Rosenberg
;;;;
;;;; KMRCL users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;; *************************************************************************

#+allegro (require :pxml)
#+allegro (require :aserve)

(in-package :asdf)

(defsystem :kmrcl
    :perform (load-op :after (op kmrcl)
		      (pushnew :kmrcl cl:*features*))

    :components 
    ((:file "package")
     (:file "genutils" :depends-on ("package"))
     (:file "strings" :depends-on ("package"))
     #+(or allegro lispworks) (:file "equal" :depends-on ("package"))
     (:file "buff-input" :depends-on ("genutils"))
     (:file "telnet-server" :depends-on ("genutils"))
     (:file "pipes" :depends-on ("package"))
     (:file "random" :depends-on ("package"))
     (:file "cl-symbols" :depends-on ("package"))
     #+allegro (:file "attrib-class" :depends-on ("package"))
     (:file "web-utils" :depends-on ("package"))
     (:file "xml-utils" :depends-on ("package"))
     #+(or allegro lispworks cmu sbcl) (:file "ml-class" :depends-on ("strings" "genutils"))
     #+(or allegro aserve) (:file "web-utils-aserve" :depends-on ("strings" "genutils"))
     )
    #+(or lispworks cmu)
    :depends-on
    #+(or lispworks cmu)
    (:aserve)
    )

(when (ignore-errors (find-class 'load-compiled-op))
  (defmethod perform :after ((op load-compiled-op) (c (eql (find-system :kmrcl))))
    (pushnew :kmrcl cl:*features*)))

